Skip to main content
GET
/
v2.1
/
projects
/
{projectId}
/
logs
Get Log Entries
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "_id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "msg": "<string>",
      "meta": {},
      "traceId": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

projectId
string
required
Required string length: 24
Pattern: ^[a-z0-9]{24}$

Query Parameters

filter
string

The type, msg or traceId of the log entry to filter the records

limit
integer

The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.

Required range: 1 <= x <= 100
skip
integer

The number of items to skip before returning the results. Use this parameter with limit for offset-based pagination. The default value is 0.

Required range: x >= 0
sort
string

The order in which results are returned. Set a sorting rule in the format field:direction, where direction can be asc for ascending order or desc for descending order. For example, name:asc sorts by name in ascending order.

Minimum string length: 1
next
string

The cursor that points to the next page of results. Use the nextCursor value returned in a previous response to request the next set of items.

Required string length: 24
previous
string

The cursor that points to the previous page of results. Use the previousCursor value returned in a previous response to request the previous set of items.

Required string length: 24
type
enum<string>[]
Available options:
fatal,
error,
warn,
info,
debug,
trace
userId
string
flowName
string
startDate
string<date-time>
required

The start date for filtering log entries (ISO 8601 format). If not provided, defaults to 1 hour before endDate.

Example:

"2025-08-11T10:00:00.000Z"

endDate
string<date-time>
required

The end date for filtering log entries (ISO 8601 format). If not provided, defaults to the current time.

Example:

"2025-08-11T10:00:00.000Z"

Response

Returns array of Log Entries

items
object[]
total
integer
Example:

1

nextCursor
string | null
Required string length: 24
Pattern: ^[a-z0-9]{24}$
previousCursor
string | null
Required string length: 24
Pattern: ^[a-z0-9]{24}$